<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="LMN.Web.wap.search" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="LMN.Common" %>


<%@ Import namespace="LMN.Model" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by LMN Template Engine at 2012/3/1 20:38:22.
		本页面代码由LMN模板引擎生成于 2012/3/1 20:38:22. 
	*/

	base.OnInit(e);

	templateBuilder.Capacity = 220000;
	templateBuilder.Append("<?xml version=\"1.0\" encoding=\"utf-8\" ?><!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\" \"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n<title>");
	templateBuilder.Append(PageTitle);
	templateBuilder.Append("</title>\r\n<meta content=\"和网商城 - 网上购物,好信誉,好服务,好产品,低价格,让你全面安心享受网上购物乐趣！\" name=\"description\">\r\n<meta content=\"和网,商城,手机,笔记本,保健品\" name=\"keywords\">\r\n<meta content=\"MSHTML 6.00.2900.6129\" name=\"GENERATOR\">\r\n<link type=\"text/css\" rel=\"stylesheet\" href=\"/themes/wap/style.css\" />\r\n</head>\r\n<body>\r\n");
	templateBuilder.Append("<div class=\"adtop\">\r\n  <a href=\"/index.aspx\">首页</a> ");
if (session.user!=null&&session.user.id!=0)
{

	templateBuilder.Append("<a href=\"/user.aspx\">用户中心</a>");
}
else
{

	templateBuilder.Append("<a href=\"/login.aspx\">登录</a> <a href=\"/register.aspx\">注册</a>");
}//end if

	templateBuilder.Append(" <a href=\"/cart.aspx\">购物车(<span class=\"red\">");
templateBuilder.Append(session.cart.num);
templateBuilder.Append("</span>)</a>\r\n</div>");

	templateBuilder.Append("\r\n<p>\r\n  <a href=\"wtai://wp/mc;4006188288\">&gt;&gt;直接电话咨询（点我）</a></p>\r\n<!----><div class=\"xin05\">【");
	templateBuilder.Append(keyword);
	templateBuilder.Append("的搜索结果】</div>\r\n");
if (items != null){ // !null
var item__loop__id=0;
foreach(list_item item in items)
{
item__loop__id++;

	templateBuilder.Append("<div class=\"xin06\">");
	templateBuilder.Append(item__loop__id);
	templateBuilder.Append(".<a href=\"detail.aspx?id=");
templateBuilder.Append(item.id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">");
templateBuilder.Append(item.alias);
if (item.color!="")
{

	templateBuilder.Append("(");
templateBuilder.Append(item.color);
templateBuilder.Append(")");
}//end if

	templateBuilder.Append("</a><span class=\"red\">(");
templateBuilder.Append(item.price);
templateBuilder.Append("元)</span><br /><a href=\"detail.aspx?id=");
templateBuilder.Append(item.id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\"><img alt=\"图\" src=\"");templateBuilder.Append(Utils.Replace(item.cover, ".jpg", "_200x200.jpg"));
	templateBuilder.Append("\" /></a><br />");
templateBuilder.Append(item.intro);
templateBuilder.Append("<br />人气:");
templateBuilder.Append(item.hits);
templateBuilder.Append("|最近售出:");
templateBuilder.Append(item.trades);
templateBuilder.Append("件<br />\r\n");
if (item.sizes.Count!=0)
{

	templateBuilder.Append("订购:");
if (item.sizes != null){ // !null
var item_size__loop__id=0;
foreach(list_item_size item_size in item.sizes)
{
item_size__loop__id++;


if (item_size.store==0)
{
templateBuilder.Append(item_size.text);
}
else
{

	templateBuilder.Append("<a href=\"cart.aspx?id=");
templateBuilder.Append(item.id);
templateBuilder.Append("&item=");
templateBuilder.Append(item_size.item_id);
templateBuilder.Append("\">");
templateBuilder.Append(item_size.text);
templateBuilder.Append("</a>");
}//end if


if (item_size__loop__id!=1)
{

	templateBuilder.Append("|");
}//end if


}//end loop
}//end if

	templateBuilder.Append("<br/>");
}//end if

	templateBuilder.Append("\r\n<a href=\"detail.aspx?id=");
templateBuilder.Append(item.id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">立即查看</a>|<a href=\"detail.aspx?id=");
templateBuilder.Append(item.id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">顾客热评(");
templateBuilder.Append(item.comments);
templateBuilder.Append(")</a></div>");
}//end loop
}//end if


if (items!=null)
{

	templateBuilder.Append("\r\n<p>");var strpage = "";
	if (CurrPage == 1) {
	  if(PageCount > 1) {
	    strpage += "<a href='list.aspx?key="+keyword+"&amp;page="+(CurrPage + 1)+"'>下页</a> <a href='list.aspx?key="+keyword+"&amp;page="+PageCount+"'>尾页</a> ";
	  } else {
	    strpage += "下页 尾页 ";
	  }
	} else {
	  if (CurrPage < PageCount) {
	    strpage += "<a href='list.aspx?key="+keyword+"&amp;page="+(CurrPage + 1)+"'>下页</a> <a href='list.aspx?key="+keyword+"&amp;page="+PageCount+"'>尾页</a> ";
	  }
	  strpage += "<a href='list.aspx?key="+keyword+"&amp;page="+(CurrPage - 1)+"'>上页</a> <a href='list.aspx?key="+keyword+"&amp;page=1'>首页</a> ";
	}
	templateBuilder.Append("\r\n  ");
	templateBuilder.Append(strpage);
	templateBuilder.Append(" 总");
	templateBuilder.Append(CurrPage);
	templateBuilder.Append("/");
	templateBuilder.Append(PageCount);
	templateBuilder.Append("</p>\r\n");
}
else
{

	templateBuilder.Append("\r\n<p class=\"red\">没有找到任何相关的商品！</p>\r\n");
}//end if

	templateBuilder.Append("\r\n<div class=\"search\">\r\n  <form method=\"get\" action=\"search.aspx\" style=\"display: inline\">\r\n  <input name=\"key\" maxlength=\"10\" size=\"8\" /><input type=\"submit\" value=\"搜索商品\" /></form>\r\n</div>\r\n<div class=\"xin05\">\r\n  【<a class=\"red\" href=\"#\">全场热销商品排行</a>】</div>\r\n<p>\r\n  <a href=\"#\">双模智能,黑莓银色8830-599元</a><br />\r\n  <a href=\"#\">时尚翻盖,音乐手机I598-613元</a><br />\r\n  <a href=\"#\">摩托罗拉V82G全场秒杀价929元</a><br />\r\n  <a href=\"#\">经典款,三星U608手机仅-619元</a></p>\r\n");
	templateBuilder.Append("<div class=\"xin05\">\r\n  =全站分类导购=</div>\r\n<p>\r\n  ");
if (Navis != null){ // !null
var nav__loop__id=0;
foreach(navi nav in Navis)
{
nav__loop__id++;

	templateBuilder.Append("<a class=\"red\" href=\"channel.aspx?model=");
templateBuilder.Append(nav.id);
templateBuilder.Append("\">");
templateBuilder.Append(nav.name);
templateBuilder.Append("</a>");
if (nav.isbr==1)
{

	templateBuilder.Append("<br />");
}
else
{

	templateBuilder.Append("&nbsp;");
}//end if


}//end loop
}//end if

	templateBuilder.Append("<br />\r\n  我要返回:<a href=\"/index.aspx\">和网首页</a><br />\r\n  会员:<a href=\"/login.aspx\">登录</a>|<a href=\"/register.aspx\">注册</a>|<a href=\"/cart.aspx\">查看购物车</a></p>\r\n<div class=\"xin05\">\r\n  =关于和网商城=</div>\r\n<p>\r\n  <a href=\"/about.aspx\">公司介绍</a>|<a href=\"/contact.aspx\">联系我们</a>|<a href=\"/help.aspx\">帮助中心</a><br />\r\n  和网:waphe.com<a href=\"/book.aspx\">(存书签)</a><br />\r\n  荣誉:<a href=\"/index.aspx\">中国电商协会认证网站</a><br />\r\n  [备案] 粤ICP备05011214号-1<br />\r\n  一分钟前顾客1375****554订购了1台<a href=\"#\">索尼爱立信W150粉色手机</a><br />\r\n  <a href=\"#\">*[必备]省80%流量最新QQ浏览器</a></p>\r\n");

	templateBuilder.Append("\r\n</body>\r\n</html>\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
